#
# spec file for package libdvbpsi-0
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libdvbpsi-0
%define _name libdvbpsi
Version:        0.2.2
Release:        6.33
Summary:        Library for Decoding and Generating MPEG TS and DVB PSI Tables
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://www.videolan.org/developers/libdvbpsi.html
Source:         http://download.videolan.org/pub/%{_name}/%{version}/%{_name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdvbpsi is a simple library designed for decoding and generating
   MPEG TS and DVB PSI tables. Current features: * Program
   Association Table (PAT), decoder and generator.

* Program Map Table (PMT), decoder and generator.

* All MPEG 2 descriptors, decoders and generators.

%package -n libdvbpsi7
Summary:        Library for Decoding and Generating MPEG TS and DVB PSI Tables
Group:          System/Libraries

%description -n libdvbpsi7
libdvbpsi is a simple library designed for decoding and generating
   MPEG TS and DVB PSI tables. Current features: * Program
   Association Table (PAT), decoder and generator.

* Program Map Table (PMT), decoder and generator.
* All MPEG 2 descriptors, decoders and generators.

%package devel
Summary:        Library for Decoding and Generation of MPEG TS and DVB PSI Tables
Group:          Development/Libraries/C and C++
Requires:       libdvbpsi7 = %{version}
Provides:       libdvbpsi-devel = %{version}
Conflicts:      libdvbpsi-devel >= 1.0.0

%description devel
libdvbpsi is a simple library designed for decoding and generation of
MPEG TS and DVB PSI tables.

Current features: * Program Association Table (PAT), decoder and
   generator.

* Program Map Table (PMT), decoder and generator.
* All MPEG 2 descriptors, decoders and generators.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure\
	--disable-static
%{__make} %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -type f -name "*.la" -delete -print

%clean
%{__rm} -rf %{buildroot}

%post -n libdvbpsi7 -p /sbin/ldconfig

%postun -n libdvbpsi7 -p /sbin/ldconfig

%files -n libdvbpsi7
%defattr (-, root, root)
%{_libdir}/libdvbpsi.so.7
%{_libdir}/libdvbpsi.so.7.*

%files devel
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libdvbpsi.so
%{_includedir}/dvbpsi
%{_libdir}/pkgconfig/libdvbpsi.pc

%changelog
* Wed Apr 24 2013 sbrabec@suse.cz
- Rename to libdvbpsi-0. The new version uses new API.
* Fri Nov  4 2011 pascal.bleser@opensuse.org
- use proper filenames in files section, to make the build fail if the
  SONAME changes
- update to 0.2.2:
  * revert regression introduced by "ignore initial discontinuity" commit
- changes from 0.2.1:
  * ignore initial discontinuity
* Fri May  6 2011 dimstar@opensuse.org
- Update to version 0.2.0:
  + License change of libdvbpsi from GPLv2 to LGPLv2.1
  + new CUE Identifier descriptor support (0x8a)
  + new Splice Information Section table support (0xFC) (SCTE 35
    2004)
  + new BAT table (decoder and generator)
  + new descriptor 0x44
  + depreceated all API's in preparation for 1.0.0 release with
    reworked API
- Adjust License Tags from GPLv2+ to LPGLv2.1+
- Remove Provides/Obsoletes libdvbpsi: openSUSE 10.3 is long gone.
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Removed self-obsoletes (fix for RPMLINT warning)
* Fri Sep 10 2010 dimstar@opensuse.org
- Update to version 0.1.7:
  + new VBI data descriptor support (0x45)
  + NIT support
  + TOT/TDT support
  + new DVB Satellite Delivery systems descriptor support (0x43)
  + new DVB Local time offset descriptor support (0x58)
  + new Terrestrial Delivery systems descriptor support (0x5a)
- Remove autoreconf call: there is no need for it.
- Add pkg-config BuildRequires.
* Tue Jan 15 2008 sbrabec@suse.cz
- Updated to version 0.1.6:
  * fixed a parsing bug due to outdated spec in ISO 639 language
    descriptor
  * fixed the use of uninitialized data when
    section_syntax_indicator=0
  * fixed a parsing bug in the EBU teletext descriptor decoder
  * fixed the declaration of dvbpsi_DecodeTeletextDr
  * new example tool for checking an MPEG-2 TS file
  * fixed EIT discontinuities
  * new cat support
  * new PDC support descriptor 0x69
* Tue Aug 21 2007 crrodriguez@suse.de
- fix wrong .so file in non-devel package.
- remove static libraries and pointless libtool archive with empty
  dependency_libs.
* Wed Jun 28 2006 sbrabec@suse.cz
- New SuSE package, version 0.1.5.
